@import "normalize.css";
/* ---------------------------------------------
RESET
--------------------------------------------- */
*,
*:before,
*:after {
   box-sizing: border-box;
}
html {
   font-size: 100%;
    display: flex;
    justify-content: center;
}
h1, h2, h3, h4, h5, h6, p {
   margin: 0;
}
ul, ol {
   margin: 0;
   padding: 0;
}
li {
   list-style-type: none;
}
figure {
   margin: 0;
}
a {
   text-decoration: none;
   color: inherit;
}

table,
td {
    border: 1px solid #333;
}
td {
    padding: 0.5rem;
}
th {
    padding: 1rem;

}

table,
td {
    border: 1px solid #333;
}

td {
    padding: 0.5rem;
}

input:invalid {
    box-shadow: 0 0 5px 1px red;
}

input:focus:invalid {
    outline: none;
}

/* --------------------------------------------- */
/* COMMONS */
.block-header > .inner,
.block-nav > .inner,
.block-main > .inner{
  min-width: 68.75rem;
  max-width: 120rem;
  margin: 0 auto;
}


.block-header {
    height: 10vh;
}

.block-nav {
    height: 5vh;
}

.block-main{
    height: 80vh;
}
.block-footer{
    height: 5vh;
    display:flex;
    justify-content: space-between;
    font-size:12px;
}

.title img{
  width: 50%;
  margin: 0px;
}

/*-------------------
connecxion
-------------------*/
.block-connexion{
    height: 80%;
    width: 30%;
    border: solid black;
    border-radius: 5%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

.row-connexion{
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*-------------------
 nav
---------------------- */
.block-header{
    display: flex;
    justify-content: start;
    align-items: center;
}

.block-header .title{
  text-align: center;
  font-size: 5rem;
  margin-bottom: 2rem;
}


.block-header .cadre{
  border: 0.5rem solid;
  opacity: 0.5;
  /* padding: 2.5rem 10rem; */
  margin: auto;
  width: 30rem;
  height: 6rem;
  left: 37%;
  position: absolute;

}

.block-nav .inner ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: deepskyblue;
}
.block-nav .inner ul li {
    float: left;
}

.block-nav .inner ul li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

/* Change the link color to #111 (black) on hover */
.block-nav .inner ul li a:hover {
    background-color: #111;
}


/* ---------------------------------------------
boody
---------------------------------------------*/

.block-main .home-inner{
    height: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.block-main .inner{
    padding: 2rem;
    display: flex;
    flex-direction: column;
}

.background{
  position: absolute;
  padding-left: 17%;

}


/* ---------------------------------------------
modale
---------------------------------------------*/
/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modaleDelete {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    display: flex;
    justify-content: center;
    background-color: #fefefe;
    margin: 5% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    width: 80%; /* Could be more or less, depending on screen size */
}

.modale {

}

/* The Close Button */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.form {

    height: 35rem;
    width: 25rem;
    border: solid black;
    border-radius: 5%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

/* ---------------------------------------------
page-tableau
---------------------------------------------*/


.block-main .title_page {
    color: #001BA4;
    margin-bottom: 25px;
}

.block-main .btn-tableau-edit {
    color: #333333;
    text-color: #FFF;
}
.block-main .btn-tableau-delete {
    color: red;
    text-color: #FFF;
}
